Videos
Delete
POST
/
packages
/
{packageId}
/
videos
/
delete
Delete
curl --request POST \
--url https://sandbox.syngrafii.com/api/v1/packages/{packageId}/videos/delete \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"packageId": "<string>"
}
'import requests
url = "https://sandbox.syngrafii.com/api/v1/packages/{packageId}/videos/delete"
payload = { "packageId": "<string>" }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageId: '<string>'})
};
fetch('https://sandbox.syngrafii.com/api/v1/packages/{packageId}/videos/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packageId": "<string>",
"videos": [
{
"meetingVideoId": "<string>",
"meetingVideoSharedId": "<string>",
"meetingId": "<string>",
"meetingSessionId": "<string>",
"externalVideoId": "<string>",
"externalStorageId": "<string>",
"timeCreated": "<string>",
"timeRetention": "<string>",
"timeDeleted": "<string>",
"duration": "<string>",
"size": 123,
"source": "<string>",
"type": "<string>",
"state": "<string>",
"url": "<string>",
"timeUrlExpires": "<string>"
}
]
}You can delete all the videos or a specific video for a given package by calling the
/packages/{packageId}/videos/delete endpoint.
Please note that this will mark the video for permanent deletion from the iinked Sign platform and you should only do so if you have downloaded or no longer need the video.
Request
Request
POST /packages/videos/delete
{
"packageId": "c603079c-2dc7-4af7-8c2e-dc992662621c",
"meetingVideoId": "4c512b8a-c1ad-47da-ae22-5a61115505e3"
}
Body
string
required
Unique identifier for the package to be deleted.
string
Unique identifier for the specific meeting video to be deleted.
If not provided, all package videos will be deleted.
Response
string
Unique identifier of the package associated with the deleted videos.
object[]
List of meeting videos deleted from the package.
Show properties
Show properties
string
Unique identifier for the video.
string
Shared identifier for the video.
string
Identifier of the meeting the video belongs to.
string
Identifier of the meeting session.
string
External system identifier for the video (if available).
string
External storage identifier for the video (if available).
string
Creation time (ISO 8601 date-time).
string
Retention expiry time (ISO 8601 date-time).
string
Deletion time (ISO 8601 date-time).
string
Video duration (ISO 8601 duration).
number
Size of the video in bytes.
string
Source of the video.
string
Type of video.
Show values
Show values
| Value | Description |
|---|---|
| video | Standard video recording. |
string
Current state of the video.
Show values
Show values
| Value | Description |
|---|---|
| started | Video recording session is currently active. |
| stopped | Video recording session ended successfully. |
| queued | Video recording is waiting to download. |
| failed | Video recording failed to download because of an error. |
| archived | Video recording has been successfully downloaded and is available for playback. |
| deleted | Video recording has been permanently removed. |
string
Temporary URL to download or playback the video.
Expires based on
timeUrlExpires.string
Expiration time for the temporary URL (ISO 8601 date-time).
Examples
Response (200)
{
"packageId": "c603079c-2dc7-4af7-8c2e-dc992662621c",
"videos": [
{
"meetingVideoId": "4c512b8a-c1ad-47da-ae22-5a61115505e3",
"meetingId": "0f2f4065-3d07-4fd5-96e8-13b3f77a7c9d",
"timeCreated": "2019-08-20T18:57:33.541Z",
"timeRetention": null,
"timeDeleted": "2019-08-20T18:58:02.2596573Z",
"duration": "PT6S",
"size": 484524,
"type": "video",
"state": "deleted",
"url": null,
"timeUrlExpires": null
}
]
}
⌘I
Delete
